unit extapifrm;

interface

uses
  {$IFNDEF FPC}Windows, {$ELSE}LResources, {$ENDIF}SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, fe_flashplayer, StdCtrls;

type
  TForm8 = class(TForm)
    feFlashList1: TfeFlashList;
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    feFlashPlayerWnd1: TfeFlashPlayerWnd;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure feFlashPlayerWnd1FlashCall(ASender: TObject;
      const request: WideString);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form8: TForm8;

implementation

{$R *.dfm}

procedure TForm8.Button1Click(Sender: TObject);
begin
  // call "setText" function declared in Flash
  feFlashPlayerWnd1.CallFunction('<invoke name="mySetText" returntype="xml"><arguments><string>' + Memo1.Lines.Text + ' using External API - calling flash declared function mySetText</string></arguments></invoke>');
end;

procedure TForm8.Button2Click(Sender: TObject);
begin
  feFlashPlayerWnd1.SetVariable('mytext1.text', Memo1.Lines.Text + ' using SetVariable method of TfeFlashPlayer');
end;

procedure TForm8.feFlashPlayerWnd1FlashCall(ASender: TObject; const request: WideString);
begin
  // this method called from Flash
  // SetReturnValue return value to flash using External API
  feFlashPlayerWnd1.SetReturnValue('<string>' + Memo1.Lines.Text + ' using FlashCall and SetReturnValue</string>');
end;

end.
